Name: distcc
Version: 0.15
Release: alt3

Group:	 Development/C
Summary: distcc - distributed C/C++ compiler daemon and client
License: GPL
Packager: Albert R. Valiev <darkstar@altlinux.ru>

Requires: gcc3.2 = 3.2.1 gcc3.2-c++ = 3.2.1

Url: http://distcc.samba.org

Source0: %name-%version.tar.gz
Source1: %name.init
Source2: distc
Source3: distc++
Source4: distc.ignore
Source5: distccd.all
Source6: distccd.lib

# Automatically added by buildreq on Fri Jan 03 2003
BuildRequires: kernel-headers libpopt-devel

%description
distcc (http://distcc.samba.org/) is a program to distribute
compilation of C or C++ code across several machines on a network.
distcc should always generate the same results as a local compile, is
simple to install and use, and is often significantly faster than a
local compile. This is client part of distributed C program

%package daemon
Group: System/Servers
Summary: distcc-daemon - distributed C daemon
Requires: gcc3.2 = 3.2.1 gcc3.2-c++ = 3.2.1 chrootuid

%description daemon
distcc (http://distcc.samba.org/) is a program to distribute
compilation of C or C++ code across several machines on a network.
distcc should always generate the same results as a local compile, is
simple to install and use, and is often significantly faster than a
local compile. This is daemon part of distributed C program

%package doc
Group:          Books/Computer books
Summary: 	distcc-doc - distributed C client dosumentation

%description doc
distcc (http://distcc.samba.org/) is a program to distribute
compilation of C or C++ code across several machines on a network.
distcc should always generate the same results as a local compile, is
simple to install and use, and is often significantly faster than a
local compile. This is documentation for distributed C program

%prep
%setup -q

%build
%configure 

%make_build 

%install

%make DESTDIR=%buildroot install

%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%_sysconfdir/buildreqs/files/ignore.d
%__mkdir_p %buildroot/%_sysconfdir/chroot.d

%__mkdir_p %buildroot/%_localstatedir/%name/dev/
%__mkdir_p %buildroot/%_localstatedir/%name/usr/bin
%__mkdir_p %buildroot/%_localstatedir/%name/usr/sbin
%__mkdir_p %buildroot/%_localstatedir/%name/usr/lib/gcc-lib/i586-alt-linux/3.2.1
%__mkdir_p %buildroot/%_localstatedir/%name/root/tmp
%__mkdir_p %buildroot/%_localstatedir/%name/tmp
%__mkdir_p %buildroot/%_localstatedir/%name/lib
%__mkdir_p %buildroot/%_localstatedir/%name/var/log
%__mkdir_p %buildroot/%_localstatedir/%name/var/lock
%__mkdir_p %buildroot/%_localstatedir/%name/var/run

%__install %SOURCE1 %buildroot/%_initdir/distccd
%__install %SOURCE2 %buildroot/%_bindir/distc
%__install %SOURCE3 %buildroot/%_bindir/distc++
%__install %SOURCE4 %buildroot/%_sysconfdir/buildreqs/files/ignore.d/distcc
%__install %SOURCE5 %buildroot/%_sysconfdir/chroot.d/distccd.all
%__install %SOURCE6 %buildroot/%_sysconfdir/chroot.d/distccd.lib

mv %buildroot/%_docdir/%name  %buildroot/%_docdir/%name-%version
mv %buildroot/%_bindir/distccd  %buildroot/%_localstatedir/%name/usr/sbin/distccd

%pre daemon
/usr/sbin/groupadd -r -f %name ||:
/usr/sbin/useradd -r -g %name -d %_localstatedir/%name -s /dev/null -n %name &>/dev/null ||:

%post daemon
%post_service distccd
/etc/chroot.d/distccd.all force

:>> "%_logdir/distccd.log"
%__chown distcc:distcc "%_logdir/distccd.log"
%__chmod 640 "%_logdir/distccd.log"

%preun daemon
%preun_service distccd

%files

%attr(644,root,root) %_sysconfdir/buildreqs/files/ignore.d/distcc
%attr(755,root,root) %_bindir/distc
%attr(755,root,root) %_bindir/distc++
%attr(755,root,root) %_bindir/distcc
%attr(644,root,root) %doc %_man1dir/distcc.1.gz

%files daemon

%attr(755,root,root) %_initdir/distccd
%attr(644,root,root) %doc %_man1dir/distccd.1.gz
%attr(750,root,root) %_sysconfdir/chroot.d/distccd.all
%attr(750,root,root) %_sysconfdir/chroot.d/distccd.lib

%attr(750,%name,%name) %dir %_localstatedir/%name
%attr(750,%name,%name) %dir %_localstatedir/%name/dev/
%attr(750,%name,%name) %dir %_localstatedir/%name/lib/
%attr(750,%name,%name) %dir %_localstatedir/%name/root/
%attr(750,%name,%name) %dir %_localstatedir/%name/root/tmp/
%attr(750,%name,%name) %dir %_localstatedir/%name/tmp/
%attr(750,%name,%name) %dir %_localstatedir/%name/usr/
%attr(750,%name,%name) %dir %_localstatedir/%name/usr/bin/
%attr(750,%name,%name) %dir %_localstatedir/%name/usr/lib/
%attr(750,%name,%name) %dir %_localstatedir/%name/usr/lib/gcc-lib/
%attr(750,%name,%name) %dir %_localstatedir/%name/usr/lib/gcc-lib/i586-alt-linux/
%attr(750,%name,%name) %dir %_localstatedir/%name/usr/lib/gcc-lib/i586-alt-linux/3.2.1/

%attr(750,%name,%name) %dir %_localstatedir/%name/var/
%attr(750,%name,%name) %dir %_localstatedir/%name/var/log/
%attr(750,%name,%name) %dir %_localstatedir/%name/var/lock/
%attr(750,%name,%name) %dir %_localstatedir/%name/var/run/

%attr(750,%name,%name) %dir %_localstatedir/%name/usr/sbin/
%attr(750,%name,%name) %_localstatedir/%name/usr/sbin/distccd

%files doc

%dir %_docdir/%name-%version/
%attr(644,root,root) %doc %_docdir/%name-%version/AUTHORS
%attr(644,root,root) %doc %_docdir/%name-%version/COPYING
%attr(644,root,root) %doc %_docdir/%name-%version/COPYING.FDL
%attr(644,root,root) %doc %_docdir/%name-%version/DEPENDENCIES
%attr(644,root,root) %doc %_docdir/%name-%version/INSTALL
%attr(644,root,root) %doc %_docdir/%name-%version/NEWS
%attr(644,root,root) %doc %_docdir/%name-%version/OLDNEWS
%attr(644,root,root) %doc %_docdir/%name-%version/README

%dir %_docdir/%name-%version/manual
%attr(644,root,root) %doc %_docdir/%name-%version/manual/distcc.pdf
%attr(644,root,root) %doc %_docdir/%name-%version/manual/distcc.ps.gz

%dir %_docdir/%name-%version/manual/html
%attr(644,root,root) %doc %_docdir/%name-%version/manual/html/*.html

%attr(644,root,root) %doc %_infodir/%name.info.bz2

%changelog
* Fri Jan 17 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.15-alt3
- Corrected group for distcc-doc package

* Thu Jan 16 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.15-alt2
- Corrected spec for distcc-doc package

* Thu Jan 16 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.15-alt1
- Initial build. 
- Supported only gcc3.2-3.2.1, support for other compiler versions from
- ALT Linux distributions will be added later
